Subject: Re: [PATCH v4 0/4] More helpful 'git status' during 'rebase -i'

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Jun 2015 16:03:25 -0700

Matthieu Moy <[email-masked]> writes:

> This series makes "git status" provide an output like
>
>   interactive rebase in progress; onto $ONTO
>   Last commands done (2 commands done):
>      pick $COMMIT2 two_commit
>      exec exit 15
>   Next commands to do (2 remaining commands):
>      pick $COMMIT3 three_commit
>      pick $COMMIT4 four_commit
>     (use "git rebase --edit-todo" to view and edit)
>
> in addition to the existing output, when ran during an interactive
> rebase.

I'd prefer to see these $COMMITn abbreviated, just like $ONTO.  Look
what I just got while squashing two adjacent patches ;-)

# interactive rebase in progress; onto a04bfc2
# Last commands done (2 commands done):
#    pick c186b073f46a3298f2e6f63a8c1becb07bedc4f0 rerere: explain what 'want_sp' does to is_cmarker
#    squash 17c5b40b46c0e171ed49907e6cb91c2a1d7f7113 rerere: drop want_sp parameter from is_cmarker()
# Next commands to do (3 remaining commands):
#    pick 8fc64c4c1024006e71cf0b6c2e3d0ad403f263f8 t4200: rerere a merge with two identical conflicts
#    pick 094950cdc51599f6fec1b1c0098816888a648bf8 rerere: document internal I/O abstraction
# You are currently editing a commit while rebasing branch 'jc/rerere' on 'a04bfc2'.